{ ************************************************************************************************ }
{ MarqueeScrlTxt.pas                              Copyright  1998 by DithoSoft Software Solutions }
{ Version 2.2b                                                                                     }
{ ------------------------------------------------------------------------------------------------ }
{ Property editor dialog for the TMarquee component                                                }
{ ************************************************************************************************ }
unit MarqueeScrlTxt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TScrollTextDlg = class(TForm)
    Frame: TBevel;
    ScrollText: TEdit;
    ScrollTextLabel: TLabel;
    LoadBtn: TButton;
    StripControlCodes: TCheckBox;
    OKButton: TButton;
    CancelButton: TButton;
    OpenDialog: TOpenDialog;
    procedure FormShow(Sender: TObject);
    procedure LoadBtnClick(Sender: TObject);
  end;

var
  ScrollTextDlg: TScrollTextDlg;

implementation

{$R *.DFM}

procedure TScrollTextDlg.FormShow(Sender: TObject);
begin
  { Focus the input line when showing the dialog }
  ScrollText.SetFocus;
end;

procedure TScrollTextDlg.LoadBtnClick(Sender: TObject);
var
  TextList: TStringList;
  AText   : String;
  i       : Integer;
begin
  { Show the "File open" dialog }
  if OpenDialog.Execute then begin
    { Create a string list that holds the entire file contents }
    TextList := TStringList.Create;
    try
      { Load the text and convert it to a single line }
      TextList.LoadFromFile(OpenDialog.FileName);
      AText := TextList.Text;

      try
        if StripControlCodes.Checked then for i := 1 to Length(AText) do
          if Ord(AText[i]) < 32 then AText[i] := #32;
      except
        MessageDlg('An error occurred while replacing the control codes!',mtError,[mbOK],0);
      end;
      ScrollText.Text := AText;
    finally
      TextList.Free;
    end;
  end;
end;

end.
